# AdSense Management API . alerts

## Instance Methods

Dismiss (delete) the specified alert from the publisher's AdSense account.

List the alerts for this AdSense account.

### Method Details

`delete(alertId)`

    Dismiss (delete) the specified alert from the publisher's AdSense account.

    Args:
      alertId: string, Alert to delete. (required)

`list(locale=None)`

    List the alerts for this AdSense account.

    Args:
      locale: string, The locale to use for translating alert messages. The account locale will be used if this is not supplied. The AdSense default (English) will be used if the supplied locale is invalid or unsupported.

    Returns:
      An object of the form:

        {
        "items": [ # The alerts returned in this list response.
          {
            "kind": "adsense#alert", # Kind of resource this is, in this case adsense#alert.
            "severity": "A String", # Severity of this alert. Possible values: INFO, WARNING, SEVERE.
            "isDismissible": True or False, # Whether this alert can be dismissed.
            "message": "A String", # The localized alert message.
            "type": "A String", # Type of this alert. Possible values: SELF_HOLD, MIGRATED_TO_BILLING3, ADDRESS_PIN_VERIFICATION, PHONE_PIN_VERIFICATION, CORPORATE_ENTITY, GRAYLISTED_PUBLISHER, API_HOLD.
            "id": "A String", # Unique identifier of this alert. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
          },
        ],
        "kind": "adsense#alerts", # Kind of list this is, in this case adsense#alerts.
      }